import requests
import time
import datetime
import pymysql
import random
import traceback
from log_settings import *
import logging
from auto_request import login, click, time_convs
from auto_request import host, user, port, db, passwd


def get_data(numtime):
    try:
        pc = pymysql.connect(host=host, user=user, passwd=passwd, db=db, port=port)
        cursor = pc.cursor()
        cursor.execute(
            "SELECT distinct(user_id),id FROM topic WHERE is_online=1  and create_time LIKE '%%%%%s%%%%' and user_id in (select user_id from user_extra  where is_shadow = 0)" % numtime)
        data = cursor.fetchall()
        user_id = list(data)
        logging.info("Database version : %s " % user_id)
        pc.close()
        return user_id
    except:
        logging.error("catch exception,get_data:%s" % traceback.format_exc())
        return None


if __name__ == "__main__":

    try:

        time_list = [1, 2, 3, 4, 5, 6, 7]

        for i in time_list:

            numtime = time_convs(i)

            user_id = get_data(numtime)

            dicts = {}

            for i in user_id:

                if i[0] not in dicts.keys():
                    dicts.setdefault(i[0], [])
                    dicts[i[0]].append(i[1])

                else:
                    dicts[i[0]].append(i[1])

            for key, value in dicts.items():

                rand_num = random.randint(0, len(value) - 1)

                rand_id = value[rand_num]

                urge_num = random.randint(0, 1)

                for i in range(urge_num):

                    time.sleep(random.randint(1, 10))

                    cook = login()

                    if cook is not None:
                        click(cook, rand_id)

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())

# 2. 每日一次轮询，昨、2、3、4、5、6、7日新增帖的用户：[0-1]个马甲点赞。每天每人最多一个帖子点赞，不要100个帖子都0-1。
